
<app-menu></app-menu>
<div class="container" id="idFormModalidad" [formGroup]="formRegistra">
    <div class="row">
        <mat-toolbar color="primary"  >    
        <span>Registrar Libro</span>    
        </mat-toolbar>  
    </div>
<div  class="row"  style="margin-top: 3%">
            <mat-form-field class="col-md-4">
                <mat-label>Título</mat-label>
                <input matInput [(ngModel)]="objLibro.titulo" name="titulo" formControlName="validaTitulo" maxlength="30">
                    <mat-hint style="color: red" *ngIf="formRegistra.controls.validaTitulo.touched">
                        <span *ngIf="formRegistra.controls.validaTitulo.hasError('required')">
                            El título es requerido
                        </span>
                        <span *ngIf="formRegistra.controls.validaTitulo.hasError('pattern')">
                         El título es de 3 a 30 caracteres
                        </span>
                     </mat-hint>
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <mat-label>Año</mat-label>
                <input matInput [(ngModel)]="objLibro.anio" name="anio" formControlName="validaAnio" maxlength="4">
                    <mat-hint style="color: red" *ngIf="formRegistra.controls.validaAnio.touched">
                        <span *ngIf="formRegistra.controls.validaAnio.hasError('required')">
                            El año es requerido
                        </span>
                        <span *ngIf="formRegistra.controls.validaAnio.hasError('pattern')">
                            El año es de 4 caracteres
                        </span>
                    </mat-hint>
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <mat-label>Serie</mat-label>
                <input matInput [(ngModel)]="objLibro.serie" name="serie" formControlName="validaSerie" maxlength="12">
                <mat-hint style="color: red" *ngIf="formRegistra.controls.validaSerie.touched">
                    <span *ngIf="formRegistra.controls.validaSerie.hasError('required')">
                        La serie es requerida
                    </span>
                    <span *ngIf="formRegistra.controls.validaSerie.hasError('pattern')">
                        La serie es de 12 caracteres
                    </span>
                </mat-hint>
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <mat-label>Categoría</mat-label>
                <mat-select [(ngModel)]="objLibro.categoriaLibro!.idDataCatalogo" formControlName="validaCategoria">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option  *ngFor="let x of lstCategoria" [value]="x.idDataCatalogo">
                        {{x.descripcion}}
                    </mat-option>   
                </mat-select> 
                <mat-hint style="color: red" *ngIf="formRegistra.controls.validaCategoria.touched">
                    <span *ngIf="formRegistra.controls.validaCategoria.hasError('min')">
                        La categoría es requerida
                    </span>
                </mat-hint> 
            </mat-form-field> 

            <mat-form-field class="col-md-4">
                <mat-label>Tipo</mat-label>
                <mat-select [(ngModel)]="objLibro.tipoLibro!.idDataCatalogo"  formControlName="validaTipo">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option  *ngFor="let x of lstTipo" [value]="x.idDataCatalogo">
                        {{x.descripcion}}
                    </mat-option>   
                </mat-select>
                <mat-hint style="color: red" *ngIf="formRegistra.controls.validaTipo.touched">
                    <span *ngIf="formRegistra.controls.validaTipo.hasError('min')">
                        El tipo es requerido
                    </span>
                </mat-hint>
          </mat-form-field>  
</div>    
<div  mat-dialog-actions>
    <button mat-raised-button 
            type="submit" 
            (click)="registrar()"
            color="primary"
            [disabled] = "formRegistra.invalid"
            [mat-dialog-close] = "1">
            Registra
    </button>
    <button mat-button 
            color="primary">
            Salir
    </button>
</div>
</div>
      
    
            


